<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="css/styles.css">
  <title>Seccion Storage Managment</title>
  <script src="js/libs/modernizr-2.6.2/modernizr.min.js"></script>
  <script src="js/libs/jquery-1.9.0/jquery.min.js"></script>
  <script type="text/javascript">
    $(document).ready(function() {
      $("#list").blur(function() {
        sessionStorage.setItem("listing", $("#list").html());
        location.reload();
      });

      if (sessionStorage.getItem("listing")) {
        $("#message").html("<h3>Data saved in Session Storage:</h3>");
        $("#list").html(sessionStorage.getItem("listing"));
        $("#result").text(sessionStorage.getItem("listing"));
      } else {
        $("#message").text("There aren't data in Session Storage")
      }

      $("#clean").click(function() {
        sessionStorage.removeItem("listing");
        // sessionStorage.clear(); // This method clean all keys saved in Session Storage
        location.reload();
      }); 
    });
  </script>
</head>
<body>
  <header>
    <h1>Seccion Storage Managment</h1>
  </header>
  <section>
    <div>
      <ul id="list" contenteditable="true">
        <li></li>
      </ul>
    </div>
    <input type="button" id="clean" value="Clean">
    <br/>
    <br/>
    <div id="message"></div>
    <div id="result"></div>
    <br/>
    <a href="results.html">Go to Results page</a>
  </section>
</body>